+++ /dev/null
-@echo off\r
-\r
-cd %~dp0\r
-cd ..\..\r
-\r
-echo The Big Benchmark\r
-echo =================\r
-echo.\r
-if not exist all goto nogit\r
-echo For Git builds, please use the-big-benchmark.sh instead!\r
-goto end\r
-:nogit\r
-del data\benchmark.log\r
-del data\engine.log\r
-if "%1" == "" goto noarg\r
-set xonotic=%1\r
-goto postarg\r
-:noarg\r
-if "%ProgramFiles(x86)%" == "" goto bit32\r
-:bit64\r
-set xonotic=xonotic-64.exe\r
-goto postarg\r
-:bit32\r
-set xonotic=xonotic.exe\r
-goto postarg\r
-:postarg\r
-echo. > data\engine.log\r
-echo Engine log follows: >> data\engine.log\r
-echo =================== >> data\engine.log\r
-set p=+developer 1 -nohome -benchmarkruns 4 -benchmarkruns_skipfirst -benchmark demos\the-big-keybench.dem\r
-\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-omg.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-omg.cfg %p% >> data\engine.log 2>&1\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-low.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-low.cfg %p% >> data\engine.log 2>&1\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-med.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-med.cfg %p% >> data\engine.log 2>&1\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-normal.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-normal.cfg %p% >> data\engine.log 2>&1\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-high.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-high.cfg %p% >> data\engine.log 2>&1\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultra.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultra.cfg %p% >> data\engine.log 2>&1\r
-echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultimate.cfg %p% >> data\engine.log\r
-%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultimate.cfg %p% >> data\engine.log 2>&1\r
-type data\engine.log >> data\benchmark.log\r
-del data\engine.log\r
-echo.\r
-echo Please provide the the following info to the Xonotic developers:\r
-echo - CPU speed\r
-echo - memory size\r
-echo - graphics card (which vendor, which model)\r
-echo - operating system (including whether it is 32bit or 64bit)\r
-echo - graphics driver version\r
-echo - the file benchmark.log in the data directory\r
-echo.\r
-echo Thank you\r
-:end\r
-pause\r
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-if [ -d "${0%/*}" ]; then
- cd "${0%/*}"
-fi
-cd ../..
-
-echo "The Big Benchmark"
-echo " ================="
-echo
-if [ -f ./all ]; then
- echo "WARNING: running this script will destroy ANY local changes you"
- echo "might have on the repository that haven't been pushed yet."
- echo
- if [ x"$1" != x"--yes" ]; then
- echo "Are you absolutely sure you want to run this?"
- echo
- while :; do
- echo -n "y/n: "
- read -r yesno
- case "$yesno" in
- y)
- break
- ;;
- n)
- echo "Aborted."
- exit 1
- ;;
- esac
- done
- fi
-fi
-
-rm -f data/benchmark.log
-rm -f data/engine.log
-if [ -f ./all ]; then
- ./all clean --reclone
- ./all compile -r
- set -- ./all run "$@"
-elif [ -z "$*" ]; then
- case "`uname`" in
- Darwin)
- set -- ./Xonotic.app/Contents/MacOS/xonotic-osx-sdl
- ;;
- Linux)
- set -- ./xonotic-linux-sdl.sh
- ;;
- *)
- echo "OS not detected. Usage:"
- echo " $0 how-to-run-xonotic"
- echo "On Windows when using a release build or an autobuild,"
- echo "use the-big-benchmark.bat instead!"
- exit 1
- ;;
- esac
-fi
-(
- echo
- echo "Engine log follows:"
- echo " ==================="
- set -x
- for e in omg low med normal high ultra ultimate; do
- USE_GDB=no \
- "$@" \
- +exec effects-$e.cfg \
- +developer 1 \
- -nohome \
- -benchmarkruns 4 -benchmarkruns_skipfirst \
- -benchmark demos/the-big-keybench.dem
- done
-) >data/engine.log 2>&1
-cat data/engine.log >> data/benchmark.log
-rm -f data/engine.log
-if [ -f ./all ]; then
- ./all clean -r -f -u
-fi
-set +x
-
-echo
-echo "Please provide the the following info to the Xonotic developers:"
-echo " - CPU speed"
-echo " - memory size"
-echo " - graphics card (which vendor, which model)"
-echo " - operating system (including whether it is 32bit or 64bit)"
-echo " - graphics driver version"
-echo " - the file benchmark.log in the data directory"
-echo
-echo "Thank you"
--- /dev/null
+@echo on\r
+\r
+cd %~dp0\r
+cd ..\..\..\r
+\r
+echo The Big Benchmark\r
+echo =================\r
+echo.\r
+if not exist all goto nogit\r
+echo For Git builds, please use the-big-benchmark.sh instead!\r
+goto end\r
+:nogit\r
+if "%1" == "" goto noarg\r
+set xonotic=%1\r
+goto postarg\r
+:noarg\r
+if "%ProgramFiles(x86)%" == "" goto bit32\r
+:bit64\r
+set xonotic=xonotic-64.exe\r
+goto postarg\r
+:bit32\r
+set xonotic=xonotic.exe\r
+goto postarg\r
+:postarg\r
+\r
+del data\the-big-benchmark.log\r
+del data\benchmark.log\r
+del data\engine.log\r
+set p=+developer 1 -nohome -benchmarkruns 4 -benchmarkruns_skipfirst -benchmark demos/the-big-keybench.dem\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-omg.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-omg.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-low.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-low.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-med.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-med.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-normal.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-normal.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-high.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-high.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultra.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultra.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+del data/benchmark.log\r
+echo + %xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultimate.cfg %p% >> data\engine.log\r
+%xonotic% %2 %3 %4 %5 %6 %7 %8 %9 +exec effects-ultimate.cfg %p% >> data\engine.log 2>&1\r
+find "]quit" data\engine.log >nul\r
+if not errorlevel 1 goto done\r
+type data\engine.log >> data\the-big-benchmark.log\r
+type data\benchmark.log >> data\the-big-benchmark.log\r
+\r
+:done\r
+\r
+del data\benchmark.log\r
+del data\engine.log\r
+echo.\r
+echo Please provide the the following info to the Xonotic developers:\r
+echo - CPU speed\r
+echo - memory size\r
+echo - graphics card (which vendor, which model)\r
+echo - operating system (including whether it is 32bit or 64bit)\r
+echo - graphics driver version\r
+echo - the file the-big-benchmark.log in the data directory\r
+echo.\r
+echo Thank you\r
+:end\r
+pause\r
--- /dev/null
+#!/bin/sh
+
+set -ex
+
+if [ -d "${0%/*}" ]; then
+ cd "${0%/*}"
+fi
+cd ../../..
+
+echo "The Big Benchmark"
+echo " ================="
+echo
+if [ -f ./all ]; then
+ echo "WARNING: running this script will destroy ANY local changes you"
+ echo "might have on the repository that haven't been pushed yet."
+ echo
+ if [ x"$1" != x"--yes" ]; then
+ echo "Are you absolutely sure you want to run this?"
+ echo
+ while :; do
+ echo -n "y/n: "
+ read -r yesno
+ case "$yesno" in
+ y)
+ break
+ ;;
+ n)
+ echo "Aborted."
+ exit 1
+ ;;
+ esac
+ done
+ fi
+fi
+
+if [ -f ./all ]; then
+ ./all clean --reclone
+ ./all compile -r
+ export USE_GDB=no
+ set -- ./all run "$@"
+elif [ -z "$*" ]; then
+ case "`uname`" in
+ Darwin)
+ set -- ./Xonotic.app/Contents/MacOS/xonotic-osx-sdl
+ ;;
+ Linux)
+ set -- ./xonotic-linux-sdl.sh
+ ;;
+ *)
+ echo "OS not detected. Usage:"
+ echo " $0 how-to-run-xonotic"
+ echo "On Windows when using a release build or an autobuild,"
+ echo "use the-big-benchmark.bat instead!"
+ exit 1
+ ;;
+ esac
+fi
+rm -f data/the-big-benchmark.log
+rm -f data/benchmark.log
+rm -f data/engine.log
+p="+developer 1 -nohome -benchmarkruns 4 -benchmarkruns_skipfirst -benchmark demos\the-big-keybench.dem"
+for e in omg low med normal high ultra ultimate; do
+ rm -f data/benchmark.log
+ echo + "$@" +exec effects-$e.cfg $p > data/engine.log
+ "$@" +exec effects-$e.cfg $p >>data/engine.log 2>&1
+ if grep -xF ']quit' data/engine.log >/dev/null; then
+ break
+ fi
+ cat data/engine.log >> data/the-big-benchmark.log
+ cat benchmark.log >> data/the-big-benchmark.log
+done
+rm -f data/benchmark.log
+rm -f data/engine.log
+if [ -f ./all ]; then
+ ./all clean -r -f -u
+fi
+set +x
+
+echo
+echo "Please provide the the following info to the Xonotic developers:"
+echo " - CPU speed"
+echo " - memory size"
+echo " - graphics card (which vendor, which model)"
+echo " - operating system (including whether it is 32bit or 64bit)"
+echo " - graphics driver version"
+echo " - the file the-big-benchmark.log in the data directory"
+echo
+echo "Thank you"